#!/usr/bin/tclsh

exec elegant track.ele >@ stdout

set w   "results/tracking.w1"
set fin "results/tracking.fin"
set tmp "results/tmp.sdds"

exec sddsxref $w $fin $tmp -transfer=par,MAL.DX
file rename -force $tmp $w

set fft "results/tracking.w1fft"
exec \
    sddsfft $w $fft -window -column=Pass,Cx

set naff "results/naff.sdds"
exec \
    sddsnaff $w  -pipe=out -column=Pass,Cx -terminateSearch=frequencies=1 | \
    sddsprocess  -pipe -process=CxFrequency,first,nux,symbol=\$gn\$r\$bx\$n | \
    sddscollapse -pipe | \
    sddsprocess  -pipe -process=nux,first,nux0 | \
    sddsprocess  -pipe=in $naff "-define=col,dnux,nux nux0 -,symbol=\$gDn\$r\$bx\$n"

exec tclsh plot_tune_shift.tcl &
